> For the complete documentation index, see [llms.txt](https://docs.usemeta.fi/unity-sdk/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.usemeta.fi/unity-sdk/sdk-reference/retrieveuser.md).

# RetrieveUser

{% hint style="info" %}
This function does not trigger any UI elements
{% endhint %}

## Description

This function retrieves information about the currently logged in user. The fields returned include the userIdentifier, the user's wallet addresses, and the wallet balances.

## Details

### Signature

```csharp
Task<dynamic> RetrieveUser()
```

### Arguments

This function has no arguments

### Return Value

This function returns the following object:

```json
{
    "userIdentifier":"userIdentifier",
    "balances": {
        "goerli_eth": {
            "accountBalances": [
                {
                    "address": "address1",
                    "balance": "balance1",
                },
            ],
            "totalBalance": "totalBalance",
        },
        "asset_2": {
            ...
        }
    },
    "chainWallets": {
        "goerli": [
            "address1",
            ...
        ],
        "chain2": [
            ...
        ]
        ...
    }
}
```

## Example

{% code overflow="wrap" lineNumbers="true" %}

```csharp
using System;
using Metafi.Unity;

public class GameManager : MonoBehaviour {
    public async void Start(){
        var res = await MetafiProvider.Instance.RetrieveUser();
        Debug.Log("RetrieveUser complete, result: " + res.ToString());
    }
}
```

{% endcode %}

And voila! Your token will now be accessible throughout the wallet.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.usemeta.fi/unity-sdk/sdk-reference/retrieveuser.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
